//---------------------------------------------------------------------------
#ifndef BCrackH
#define BCrackH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "TB97.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\DBGrids.hpp>
#include "Grids.hpp"
#include <vcl\DBTables.hpp>
#include <vcl\DB.hpp>
#include "CoolForm.hpp"
#include <vcl\ExtCtrls.hpp>
#include <Db.hpp>
#include <DBCGrids.hpp>
#include <DBCtrls.hpp>
#include <Mask.hpp>
#include "ActivApp.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TTable *Table1;
	TDataSource *DataSource1;
	TTable *TBuscar;
	TCoolForm *CoolForm1;
	TPanel *Panel1;
	TStatusBar *StatusBar1;
	TShape *Shape1;
	TShape *Shape2;
	TShape *Shape3;
	TShape *Shape4;
	TShape *Shape5;
    TDBEdit *DBEdit1;
    TDBGrid *DBGrid1;
    TDBEdit *DBEdit2;
    TDBComboBox *DBComboBox1;
    TLabel *Label1;
    TLabel *Label2;
    TEdit *Edit1;
	void __fastcall ToolbarButton972Click(TObject *Sender);
	void __fastcall ToolbarButton974Click(TObject *Sender);
	void __fastcall BusqAntClick(TObject *Sender);
	void __fastcall BusqSigClick(TObject *Sender);
	void __fastcall ToolbarButton971Click(TObject *Sender);
	void __fastcall ToolbarButton977Click(TObject *Sender);
	void __fastcall Table1BeforeOpen(TDataSet *DataSet);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall ToolbarButton978Click(TObject *Sender);
	void __fastcall Table1NewRecord(TDataSet *DataSet);
	void __fastcall DataSource1DataChange(TObject *Sender, TField *Field);
	
    void __fastcall ToolbarButton976Click(TObject *Sender);
    
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall Edit1Change(TObject *Sender);
    void __fastcall DBGrid1Enter(TObject *Sender);
    void __fastcall DBGrid1Exit(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
